API ReferenceAnalytics
Workspace analytics summary
Aggregated metrics across all channels: total followers (latest snapshots), average engagement, posts published, and like/comment/share totals in the range. Defaults to the last 30 days.
Authorization
api-key AuthorizationBearer <token>
Workspace API key (nim_live_...)
In: header
Query Parameters
from?string
Range start (ISO 8601). Defaults to 30 days ago.
to?string
Range end (ISO 8601). Defaults to now.
Response Body
application/json
curl -X GET "https://example.com/v1/analytics/workspace"{ "from": "2026-06-01T00:00:00.000Z", "to": "2026-07-01T00:00:00.000Z", "channelCount": 5, "totalFollowers": 45210, "avgEngagement": 3.9, "postsPublished": 42, "totalLikes": 8123, "totalComments": 940, "totalShares": 310}